Subject: Re: bug#41242: Port feature/native-comp to Windows - Determine the emacs root dir...

From: Andrea Corallo <[email-masked]>
Date: Sat, 30 May 2020 10:51:31 +0000

Andrea Corallo <[email-masked]> writes:

> Nicolas Bértolo <[email-masked]> writes:
>
>> Hi,
>>
>> I have taken your comments into consideration and updated the patch.
>
> Hi thanks, looks more clear to me.
>
> question: what if instead of using Ffile_exists we just use fopen to
> check if the file exists in dump_do_dump_relocation?
>
> I think the origin of "the trouble" is just there while checking if a
> file exists, the path in discussion should be already absolute by
> construction so I suspect we do not need Fexpand_file to come into play.
>
> Haven't tried, but if it works looks to me cleaner then entering in
> logic where not everything is initialized.  It's true that now you have
> verified that with your patch the execution path does not involve
> variables to be initialized, but the logic could change in the future.
>
> What do you think?
>
> Thanks
>
>   Andrea

I've pushed 15c121ee0b "* Avoid calling Ffile_exists_p too early"
implementing the discussed idea.

Should do the job in Windows too, please give it a try.

Thanks

  Andrea

-- 
[email-masked]